Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.identity
Class ObjectIdentity

    java.lang.Object
      javax.jdo.identity.SingleFieldIdentity
          javax.jdo.identity.ObjectIdentity

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Comparable

    public class ObjectIdentity

extends SingleFieldIdentity

This class is for identity with a single Object type field.

Version:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ObjectIdentity()` Constructor only for Externalizable.
`ObjectIdentity(java.lang.Class pcClass, java.lang.Object param)` Constructor with class and key.

Method Summary
`int` | `compareTo(java.lang.Object o)` Determine the ordering of identity objects.
`boolean` | `equals(java.lang.Object obj)` Determine if the other object represents the same object id.
`java.lang.Object` | `getKey()` Return the key.
`void` | `readExternal(java.io.ObjectInput in)` Read this object.
`java.lang.String` | `toString()` Return the String form of the object id.
`void` | `writeExternal(java.io.ObjectOutput out)` Write this object.

Methods inherited from class javax.jdo.identity.SingleFieldIdentity
`getKeyAsObject, getTargetClass, getTargetClassName, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectIdentity

    public ObjectIdentity(java.lang.Class pcClass,
                          java.lang.Object param)

  Constructor with class and key.

  Parameters:
    `pcClass` - the class
    `param` - the key

### ObjectIdentity

    public ObjectIdentity()

  Constructor only for Externalizable.

Method Detail

### getKey

    public java.lang.Object getKey()

  Return the key.

  Returns:
    the key

### toString

    public java.lang.String toString()

  Return the String form of the object id. The class of the object id is written as the first part of the result so that the class can be reconstructed later. Then the toString of the key instance is appended. During construction, this process is reversed. The class is extracted from the first part of the String, and the String constructor of the key is used to construct the key itself.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String form of the key

### equals

    public boolean equals(java.lang.Object obj)

  Determine if the other object represents the same object id.

  Overrides:
    `equals` in class `SingleFieldIdentity`
  Parameters:
    `obj` - the other object
  Returns:
    true if both objects represent the same object id

### compareTo

    public int compareTo(java.lang.Object o)

  Determine the ordering of identity objects.

  Parameters:
    `o` - Other identity
  Returns:
    The relative ordering between the objects
  Since:
    2.2

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Write this object. Write the superclass first.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `SingleFieldIdentity`
  Parameters:
    `out` - the output
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Read this object. Read the superclass first.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `SingleFieldIdentity`
  Parameters:
    `in` - the input
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD